//
//  AppDelegate.swift
//  AIEmoji
//
//  Created by 100Years on 2025/1/15.
//

import UIKit

@main
class AppDelegate: UIResponder, UIApplicationDelegate {

    var window: UIWindow?

    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?) -> Bool {
        window = UIWindow(frame: UIScreen.main.bounds)
        window?.backgroundColor = UIColor.white
        window?.makeKeyAndVisible()
        
        goToLoadVC()
        return true
    }

    func goToLoadVC() {
        let launchVC = TSLaunchVC()
        launchVC.dismissHandler = { [weak self]  in
            guard let self = self else { return }
            JudgmentSkipPage()
        }
        window?.rootViewController = launchVC
    }

    func goToTab(){
        window?.rootViewController = TSTabBarController()
    }
    

    func JudgmentSkipPage() {
        if UserDefaults.standard.string(forKey: "isFirstInstallApp") == nil {
            window?.rootViewController = TSBootPageVC { [weak self]  in
                guard let self = self else { return }
                UserDefaults.standard.set("1", forKey: "isFirstInstallApp")
                UserDefaults.standard.synchronize()
                goToTab()
            }
        }else{
            goToTab()
        }
    }
    

}

